%define majver %(echo %version | cut -d. -f1-2)
Name:          ModemManager
Epoch:         1
Version:       1.24.0
Release:       1mamba
Summary:       Provides a DBus interface to communicate with mobile broadband (GSM, CDMA, UMTS, …) cards
Group:         Applications/Networking
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://modemmanager.org/
Source:        https://gitlab.freedesktop.org/mobile-broadband/ModemManager.git/%{version}/ModemManager-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libgudev-devel
BuildRequires: libmbim-devel
BuildRequires: libpolkit-devel
BuildRequires: libqmi-devel
BuildRequires: libqrtr-glib-devel
BuildRequires: libsystemd-devel
## AUTOBUILDREQ-END
BuildRequires: libqmi-devel >= 1.20.2
BuildRequires: libmbim-devel >= 1.10.0
Requires:      mobile-broadband-provider-info
Requires:      usb-modeswitch
Requires:      libmm = %{?epoch:%epoch:}%{version}-%{release}

%description
ModemManager provides a DBus interface to communicate with mobile broadband (GSM, CDMA, UMTS, …) cards. Implements a loadable plugin interface to add work-arounds for non standard devices.

%package -n libmm
Summary:       Shared libraries provided by %{name}
Group:         System/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n libmm
ModemManager provides a DBus interface to communicate with mobile broadband (GSM, CDMA, UMTS, …) cards. Implements a loadable plugin interface to add work-arounds for non standard devices.
This package contains the shared libraries provided by %{name}.

%package -n libmm-devel
Summary:       Devel package for libmm
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      libmm = %{?epoch:%epoch:}%{version}-%{release}
Provides:      ModemManager-devel
Obsoletes:     ModemManager-devel < 1:1.16.4

%description -n libmm-devel
ModemManager provides a DBus interface to communicate with mobile broadband (GSM, CDMA, UMTS, …) cards. Implements a loadable plugin interface to add work-arounds for non standard devices.
This package contains static libraries and header files needed for development.


%prep
%setup -q

%build
%meson

#% configure \
#   --with-udev-base-dir=%{_prefix}/lib/udev

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
%systemd_post ModemManager
:

%preun
%systemd_preun ModemManager
:

%postun
%systemd_postun_with_restart ModemManager
:


%files -f %{name}.lang
%defattr(-,root,root)
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.ModemManager1.conf
%{_bindir}/mmcli
%{_sbindir}/ModemManager
%{_unitdir}/ModemManager.service
%{_udevrulesdir}/77-mm-*.rules
%{_udevrulesdir}/80-mm-candidate.rules
%{_datadir}/bash-completion/completions/mmcli
%{_datadir}/dbus-1/interfaces/*
%{_datadir}/dbus-1/system-services/org.freedesktop.ModemManager1.service
%dir %{_datadir}/ModemManager
%{_datadir}/ModemManager/mm-foxconn-*-carrier-mapping.conf
%dir %{_datadir}/ModemManager/connection.available.d
%{_datadir}/ModemManager/connection.available.d/99-log-event
%dir %{_datadir}/ModemManager/fcc-unlock.available.d
%{_datadir}/ModemManager/fcc-unlock.available.d/*
%dir %{_datadir}/ModemManager/modem-setup.available.d
%{_datadir}/ModemManager/modem-setup.available.d/0000:0000
%{_datadir}/polkit-1/actions/org.freedesktop.ModemManager1.policy
%{_datadir}/icons/hicolor/22x22/apps/ModemManager.png
%{_mandir}/man1/mmcli.1*
%{_mandir}/man8/ModemManager.8*

%files -n libmm
%defattr(-,root,root)
%{_libdir}/libmm-glib.so.*
%{_libdir}/girepository-1.0/ModemManager-1.0.typelib
%dir %{_libdir}/ModemManager
%{_libdir}/ModemManager/libmm-*.so
%doc AUTHORS COPYING

%files -n libmm-devel
%defattr(-,root,root)
%dir %{_includedir}/ModemManager
%{_includedir}/ModemManager/ModemManager*.h
%dir %{_includedir}/libmm-glib
%{_includedir}/libmm-glib/*.h
%{_datadir}/gir-1.0/ModemManager-1.0.gir
#%{_datadir}/vala/vapi/libmm-glib.deps
#%{_datadir}/vala/vapi/libmm-glib.vapi
%{_libdir}/libmm-glib.so
%{_libdir}/pkgconfig/ModemManager.pc
%{_libdir}/pkgconfig/mm-glib.pc

%changelog
* Sun Apr 13 2025 Automatic Build System <autodist@openmamba.org> 1.24.0-1mamba
- automatic version update by autodist

* Sun Oct 15 2023 Automatic Build System <autodist@mambasoft.it> 1.22.0-1mamba
- automatic version update by autodist

* Thu Mar 02 2023 Automatic Build System <autodist@mambasoft.it> 1.20.6-1mamba
- automatic version update by autodist

* Wed Jan 11 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 1.20.4-1mamba
- update to 1.20.4

* Thu Sep 15 2022 Automatic Build System <autodist@mambasoft.it> 1.18.12-1mamba
- automatic version update by autodist

* Sun Jun 26 2022 Automatic Build System <autodist@mambasoft.it> 1.18.10-1mamba
- automatic version update by autodist

* Sun May 01 2022 Automatic Build System <autodist@mambasoft.it> 1.18.8-1mamba
- automatic version update by autodist

* Sat Feb 12 2022 Automatic Build System <autodist@mambasoft.it> 1.18.6-1mamba
- automatic version update by autodist

* Sun Nov 28 2021 Automatic Build System <autodist@mambasoft.it> 1.18.4-1mamba
- automatic version update by autodist

* Thu Sep 16 2021 Automatic Build System <autodist@mambasoft.it> 1.18.2-1mamba
- automatic version update by autodist

* Fri Sep 10 2021 Automatic Build System <autodist@mambasoft.it> 1.18.0-1mamba
- automatic version update by autodist

* Sun Aug 15 2021 Automatic Build System <autodist@mambasoft.it> 1.17.900-1mamba
- automatic version update by autodist

* Tue Aug 10 2021 Automatic Build System <autodist@mambasoft.it> 1.16.10-1mamba
- automatic version update by autodist

* Wed Jul 14 2021 Automatic Build System <autodist@mambasoft.it> 1.16.8-1mamba
- automatic version update by autodist

* Sat Jun 19 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.16.6-1mamba
- update to 1.16.6

* Sat Apr 24 2021 Automatic Build System <autodist@mambasoft.it> 1.16.4-1mamba
- automatic version update by autodist

* Wed Mar 03 2021 Automatic Build System <autodist@mambasoft.it> 1.16.2-1mamba
- automatic version update by autodist

* Wed Feb 24 2021 Automatic Build System <autodist@mambasoft.it> 1.16.0-1mamba
- automatic version update by autodist

* Sat Feb 13 2021 Automatic Build System <autodist@mambasoft.it> 1.14.10-1mamba
- automatic version update by autodist

* Sat Nov 07 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.14.6-1mamba
- update to 1.14.6

* Sat May 23 2020 Automatic Build System <autodist@mambasoft.it> 1.9.990-1mamba
- automatic update by autodist

* Thu Aug 30 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 1.8.0-1mamba
- update to 1.8.0

* Fri May 08 2015 Automatic Build System <autodist@mambasoft.it> 1.4.8-1mamba
- automatic update by autodist

* Thu Mar 26 2015 Automatic Build System <autodist@mambasoft.it> 1.4.6-1mamba
- automatic update by autodist

* Mon Feb 16 2015 Automatic Build System <autodist@mambasoft.it> 1.4.4-1mamba
- automatic update by autodist

* Mon Feb 02 2015 Automatic Build System <autodist@mambasoft.it> 1.4.2-1mamba
- automatic update by autodist

* Sat Jan 24 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.0-2mamba
- rebuilt with libmbim 1.10.0

* Mon Jun 23 2014 Automatic Build System <autodist@mambasoft.it> 1.2.0-1mamba
- automatic update by autodist

* Sun Jan 12 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.0-3mamba
- rebuilt with libqmi 1.8.0

* Sun Dec 01 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.0-2mamba
- enable systemd service on install

* Sun Nov 24 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.0-1mamba
- update to 1.0.0

* Tue Jun 11 2013 Automatic Build System <autodist@mambasoft.it> 0.7.991-1mamba
- automatic version update by autodist

* Mon Dec 10 2012 Automatic Build System <autodist@mambasoft.it> 0.7.990-1mamba
- automatic version update by autodist

* Tue Oct 23 2012 Automatic Build System <autodist@mambasoft.it> 0.6.0.0-1mamba
- automatic version update by autodist

* Thu Aug 09 2012 Automatic Build System <autodist@mambasoft.it> 0.5.995.0-1mamba
- automatic version update by autodist

* Sat Mar 17 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.5.2.0-1mamba
- update to 0.5.2.0

* Tue Mar 06 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.5.1.97-1mamba
- update to 0.5.1.97

* Sun Sep 18 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.5-1mamba
- update to 0.5

* Sat Jul 30 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.998-1mamba
- update to 0.4.998

* Fri Jan 14 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.git20110114-1mamba
- update to 0.4.git20110114

* Thu Jan 13 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4-1mamba
- package created by autospec
